@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
}

html,
body {
    position: relative;
    height: 100vh;
    justify-content: center;
    align-items: center;


}

.container {
    max-width: 1200px;
    margin: 0 auto;
}

body {
    background-color: white;
    font-family: "Poppins", sans-serif;
    text-align: center;
    color: white;
    margin: 0;
    padding: 0;


}

nav {
    height: 96px;
    background: #04B4AE;
}

nav img {
    width: 100px;
    position: absolute;
    top: 10px;
    left: 5%;
}

nav ul {
    float: right;
    margin-right: 25px;
}

nav ul li {
    display: inline-block;
    line-height: 80px;
    margin: 0 15px;
}

nav ul li a {
    position: relative;
    color: white;
    font-size: 20px;
    padding: 5px 0;
    text-transform: uppercase;
}

nav ul li a:before {
    position: absolute;
    content: '';
    left: 0;
    bottom: 0;
    height: 3px;
    width: 100%;
    background: white;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform .4s linear;
}

nav ul li a:hover:before {
    transform: scaleX(1);
    transform-origin: left;
}


label #btn,
label #cancel {
    color: white;
    font-size: 30px;
    float: right;
    line-height: 80px;
    margin-right: 40px;
    cursor: pointer;
    display: none;
}

#check {
    display: none;
}


.header {
    height: 20vh;
}


.izquierda {
    background: #fcd21d;
    height: 80vh;
    width: 100%;

}

.derecha {
    background: url(../img/espesss.jpg);
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 80vh;
}

#pantalla-dividida {
    display: flex;
}

.izquierda .creative {
    color: #fff;
}

.izquierda h1 {
    font-size: 60px;
    width: 50%;
    margin: auto;
    margin-bottom: 40px;
    color: #04B4AE;
    margin-left: 80px;

}

.izquierda p {
    font-size: 19px;
    line-height: 30px;
    width: 50%;
    margin: auto;
    color: #343434;
    margin-left: 80px;

}

.contai {
    margin-top: 6%;
    display: flex;
    justify-content: center;
    height: 100vh;
    align-items: center;
    background: whitesmoke;
    flex-direction: row;
    flex-wrap: wrap;
}

.contai .card {
    position: relative;
    height: 500px;
    margin: 50px;
    box-shadow: 5px 5px 20px black;
    overflow: hidden;
}

.contai img {
    height: 500px;
    width: 350px;
    border-radius: 3px;
    transition: .5s;
}

.contai .intro {
    height: 80px;
    width: 360px;
    padding: 6px;
    box-sizing: border-box;
    position: absolute;
    bottom: 0px;
    background: rgb(27, 27, 27, .5);
    color: white;
    transition: .5s;

}


.contai h1 {
    margin: 10px;
    font-size: 40px;
}

.contai p {
    font-size: 20px;
    margin: 20px;
    visibility: hidden;
    opacity: 0;
}

.card:hover {
    cursor: pointer;
}

.card:hover .intro {
    height: 400px;
    bottom: 0px;
    background: black;
}

.card:hover p {
    opacity: 1;
    visibility: visible;
}

.card:hover img {
    transform: scale(1.1) rotate(-3deg);

}

.contai .row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 30px;
}

.cfooter {
    max-width: 1200px;
    margin: 0 auto;

}

footer {
    background: #343434;
    padding: 20px 0;
    margin-top: 90%;
}

.footer-row {
    display: flex;
    flex-wrap: wrap;
}


.footer-content {
    width: 32%;
    padding: 0 15px;
    margin-top: 50px;
}

.footer-content h3 {
    font-size: 20px;
    color: white;
    margin-bottom: 25px;
    font-weight: 200;
    border-bottom: 2px solid #04B4AE;
    padding-bottom: 10px;
    display: inline-block;
}

.footer-content p {
    width: 190px;
    margin: auto;
    padding: 7px;
    color: white;
}

.footer-content a {
    font-size: 18px;
    text-decoration: none;
    color: #bbbbbb;
    display: block;
    margin-bottom: 15px;
    transition: all .3s ease;
}

.footer-content li a:hover {
    color: #ffffff;
    padding-left: 6px;
}

.social-icons a {
    display: inline-block;
    min-height: 40px;
    width: 40px;
    background-color: rgba(255, 255, 255, 0.2);
    margin: 0 10px 10px 0;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    color: #ffffff;
    transition: all .5s ease;

}


.social-icons a:hover {
    background-color: #04B4AE;
}




@media(max-width: 1118px) {
    nav img {
        left: 5%;
    }
}

@media (max-width: 944px) {
    nav img {
        left: 4%;
        top: 20px;
        width: 150px;
    }

    nav ul li a {
        font-size: 17px;
    }
}

@media (max-width: 720px) {
    nav img {
        left: 3%;
        top: 8px;
        width: 100px;
    }

    label #btn {
        display: block;
    }

    ul {
        position: fixed;
        width: 100%;
        height: 100vh;
        background: #34495e;
        top: 80px;
        left: -100%;
        text-align: center;
        transition: all .5s;
    }

    nav ul li {
        display: block;
        margin: 50px 0;
        line-height: 30px;
    }

    nav ul li a {
        font-size: 20px;
    }


    #check:checked~ul {
        left: 0;
    }

    #check:checked~label #btn {
        display: none;
    }

    #check:checked~label #cancel {
        display: block;
    }

    .header {
        display: none;
    }


    .contai {
        text-align: center;
    }

    .intro {
        display: none;
    }


    .izquierda {
        width: 50%;
    }

    .derecha {
        width: 50%;
    }

    .izquierda h1 {
        font-size: 20px;
        margin-left: 20px;
        margin-top: 80%;
    }

    .izquierda p {
        display: none;
    }

    .contai img {
        height: 500px;
        width: 250px;
        border-radius: 3px;
        transition: .5s;
    }

    .footer {
        margin-top: 1200%;
    }

    .footer-row {
        text-align: center;
    }

    .footer-content {
        width: 100%;
        margin-bottom: 30px;

    }

}